import '@s-ui/polyfills'

import analyticsLoader from './analytics/loader'
import dispatchEvent from './events/dispatch-event'
import navOrigenLoader from './navOrigen/loader'
import pushNotificationsLoader from './pushNotifications/loader'
import vendorsLoader from './vendors/loader'
import {runFeatureFlags} from './experiments'

export const loader = async function () {
  window.rubik = {}
  pushNotificationsLoader()
  vendorsLoader()
  navOrigenLoader()
  await analyticsLoader()
  runFeatureFlags()
  dispatchEvent('rubik:loaded')
}
